Table of Contents

## Name

im_remainder, im_remainderconst, im_remainderconst_vec - remainder after integer division

## Synopsis

#include <vips/vips.h>

int im_remainder( IMAGE *in1, IMAGE *in2, IMAGE *out )

int im_remainderconst( IMAGE *in, IMAGE *out, double c )

int im_remainderconst_vec( IMAGE *in, IMAGE *out, int n, double *c )

## Description

im_remainder(3) calculates the remainder after integer division of two images. The output type is the same as the type of in1 unless in1 is float or complex, in which case the output type is signed integer.

im_remainderconst(3) calculates the remainder after integer division of in by the constant c. The output type is the same as the type of in unless in is float or complex, in which case the output type is signed integer.

im_remainderconst_vec(3) works as im_remainderconst(3) , but lets you specify a constant per band.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

im_add(3) , im_lintra(3) , im_divide(3)

## Copyright

National Gallery, 2002

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright